org.jbpm.ruleflow.core.factory

## Class RuleSetNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.RuleSetNodeFactory

-     public class RuleSetNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `protected RuleSetNode` | `getRuleSetNode()`
    `RuleSetNodeFactory` | `name(String name)`
    `RuleSetNodeFactory` | `ruleFlowGroup(String ruleFlowGroup)`
    `RuleSetNodeFactory` | `timer(String delay, String period, String dialect, String action)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleSetNodeFactory

          public RuleSetNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                    NodeContainer nodeContainer,
                                    long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getRuleSetNode

          protected RuleSetNode getRuleSetNode()

    - #### name

          public RuleSetNodeFactory name(String name)

    - #### ruleFlowGroup

          public RuleSetNodeFactory ruleFlowGroup(String ruleFlowGroup)

    - #### timer

          public RuleSetNodeFactory timer(String delay,
                                          String period,
                                          String dialect,
                                          String action)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.